## org.hibernate.hql.ast
Interface TypeDiscriminatorMetadata

    public interface TypeDiscriminatorMetadata

Essentially a wrapper around a `DiscriminatorMetadata` and the proper sql alias to use.

Author:
  Steve Ebersole

Method Summary
`Type` `getResolutionType()` Get the type used to resolve the actual discriminator value resulting from `getSqlFragment()` back into a `Class` reference.
`String` `getSqlFragment()` Get the sql fragment that is used to determine the actual discriminator value for a row.

Method Detail

### getSqlFragment

    String getSqlFragment()

  Get the sql fragment that is used to determine the actual discriminator value for a row.

  Returns:
    The fragment

### getResolutionType

    Type getResolutionType()

  Get the type used to resolve the actual discriminator value resulting from `getSqlFragment()` back into a `Class` reference.

  Returns:
    The resolution type.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.